#
# spec file for package john (Version 1.6.37)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  automake

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         john
URL:          http://www.openwall.com/john/
License:      Unknown
Group:        Productivity/Security
Autoreqprov:  on
Version:      1.6.37
Release:      18.2
Summary:      Detects weak passwords
Source:       %{name}-%{version}.tar.gz
Source1:      charset.tar.gz
Source2:      john.8.gz 
Patch:        john-doku.patch
Patch1:       john-params.h.patch
Patch2:       john-john.conf.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
"John the Ripper" detects weak passwords like first names, common
expressions etc. on your system. You find an initial, small
password-list in /var/lib/john/password.lst. Use your own
password-lists instead.



Authors:
--------
    Solar Designer <solar@false.com>

%prep
%setup -n %{name}-%{version} -a 1
%patch -p1
%patch1 -p1 
%patch2 -p1

%build
cd src
%ifarch %ix86
		make linux-x86-any-elf
%endif
%ifarch alpha
		make linux-alpha
%endif
%ifnarch %ix86 alpha
		make generic
%endif
cd ..

%install
rm -rf $RPM_BUILD_ROOT
JOHNDIR=$RPM_BUILD_ROOT/var/lib/john
install -d -m 700 $JOHNDIR
install -m 600 run/* $JOHNDIR
rm $JOHNDIR/unafs $JOHNDIR/unique $JOHNDIR/unshadow
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -fs john $RPM_BUILD_ROOT/usr/sbin/unafs
ln -fs john $RPM_BUILD_ROOT/usr/sbin/unique
ln -fs john $RPM_BUILD_ROOT/usr/sbin/unshadow
mv $JOHNDIR/john $RPM_BUILD_ROOT/usr/sbin
ln -s /usr/sbin/john $JOHNDIR/john
cp $JOHNDIR/john.conf $JOHNDIR/john.ini
install -d %{buildroot}%{_mandir}/man8/
install -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man8/
chmod 700 $RPM_BUILD_ROOT/usr/sbin/john

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
/usr/sbin/john
/usr/sbin/unafs
/usr/sbin/unique
/usr/sbin/unshadow
%dir %attr(700,root,root) /var/lib/john
/var/lib/john/all.chr
/var/lib/john/alpha.chr
/var/lib/john/digits.chr
/var/lib/john/lanman.chr
/var/lib/john/john
%config /var/lib/john/john.ini
%config /var/lib/john/john.conf
%dir %attr(700,root,root) /var/lib/john/mailer
%config /var/lib/john/password.lst
%doc %{_mandir}/man8/john.8.gz

%changelog -n john
* Mon Aug 02 2004 - lrupp@suse.de
- fixed BugTraq-ID: 43287
- enabled global-mode in params.h
- fix misspelling in manpage
* Fri Feb 27 2004 - lrupp@suse.de
- use devel version: no segfault on x86-64
- included documentation and charsets from old version
- renamed new john.conf in john.ini
- created a short manpage for john
- created symlink /var/lib/john/john
* Mon Nov 10 2003 - ro@suse.de
- use defattr
* Fri Nov 07 2003 - lrupp@suse.de
- added '# norootforbuild' in the spec-file
* Thu Jun 12 2003 - poeml@suse.de
- add /var/lib/john to the filelist
* Fri May 23 2003 - coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Jul 05 2002 - kukuk@suse.de
- use %%ix86
* Thu Mar 29 2001 - uli@suse.de
- fixed for gcc >2.95
- replaced config.guess stuff with %%ifarch
* Wed Mar 01 2000 - werner@suse.de
- Fix config.guess selection
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 18 1999 - uli@suse.de
- new package, version 1.6
